<script setup>

import Sidebar from "@/components/Sidebar.vue";
import {useLessonStore} from "@/stores/lesson"
import LessonForm from "@/components/LessonForm.vue"
import {computed} from "vue";
import {useRoomStore} from "@/stores/room";
import {useGroupStore} from "@/stores/group";
import {useTrainerStore} from "@/stores/trainer";
import {useEnumStore} from "@/stores/enumStore";

const lessonStore = useLessonStore()
const roomStore = useRoomStore()
const groupStore = useGroupStore()
const trainerStore = useTrainerStore()
const enumStore = useEnumStore()

const lessons = computed(() => [...lessonStore.lessons])
</script>

<template>

  <h1>Lesson Overview</h1>
  <Sidebar></Sidebar>
  <div class="lessonInput">
    <lesson-form></lesson-form>
  </div>

  <div class="container mt-3">
    <table class="table table-dark table-striped">
      <thead>
      <tr>
        <th>Trainer</th>
        <th>Group</th>
        <th>Subject</th>
        <th>Room</th>
        <th>Weekday</th>
        <th>Details</th>

      </tr>
      </thead>
      <tbody>
      <tr v-for="(lesson, index) in lessons">
        <td>{{ trainerStore.trainers.find(trainer => trainer.id === lesson.trainerId)?.firstName }}
          {{ trainerStore.trainers.find(trainer => trainer.id === lesson.trainerId)?.lastName }}
        </td>
        <td>{{ groupStore.groups.find(group => group.groupId === lesson.groupId)?.specializations }}
          {{ groupStore.groups.find(group => group.groupId === lesson.groupId)?.groupNumber }}
        </td>
        <td>{{ lesson.subjects }}</td>
        <td>
          {{ roomStore.rooms.find(room => room.roomId === groupStore.groups.find(group => group.groupId === lesson.groupId)?.roomId)?.roomNumber }}
          {{ roomStore.rooms.find(room => room.roomId === groupStore.groups.find(group => group.groupId === lesson.groupId)?.roomId)?.vip }}
        </td>
        <td>{{ lesson.weekday }}</td>

        <td>
          <button class="btn btn-outline-warning">
            <router-link class="link btn-dark" :to="/lesson/+ index">Details</router-link>
          </button>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</template>

<style scoped>
.lessonInput {
  margin-left: -300px;
  margin-top: 50px;
  margin-bottom: 50px;
}

h1 {
  margin-left: 50px;

}

.container {
  margin-left: -310px;
}

.table-dark {
  width: 1000px;
  border: 5px solid black;
}

.btn-dark {
  color: white;
  border: none;
  text-decoration: none;
}

th {
  font-weight: bold;
}
</style>